Package Gnumed :: Package business :: Module gmAllergy :: Class cAllergyState |
[frames] | no frames]

# Class cAllergyState

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cAllergyState

Represents the allergy state of one patient.

Instance Methods
__setitem__(self, attribute, value) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| state_string
| state_symbol
Inherited from `object`: `__class__`

Method Details

### __setitem__(self, attribute, value) (Index assignment operator) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.__setitem__

Property Details

### state_string Get Method: _get_as_string(self) Set Method: _set_string(self, value)

### state_symbol Get Method: _get_as_symbol(self) Set Method: _set_symbol(self, value)